<?php
include "setting.php";
?>
<?php
// Memeriksa apakah pengguna telah berhasil login
if (!isset($_COOKIE['loggedin']) || $_COOKIE['loggedin'] !== '1') {
    header("Location: login.php");
    exit();
}
?>
<!DOCTYPE html>
<html>
<head>
    <title>Bikin Panel:</title>
    <style>
        body {
            font-family: Arial, sans-serif;
            background-color: #f5f5f5;
            margin: 0;
            padding: 0;
        }

        .container {
            background-color: #fff;
            border-radius: 5px;
            padding: 20px;
            box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
            text-align: center;
            color: #333;
        }

        h2 {
            font-size: 24px;
            margin-bottom: 20px;
        }

        label {
            display: block;
            margin-bottom: 60px;
            font-weight: bold;
        }

        select, input[type="text"] {
            width: 100%;
            padding: 10px;
            margin-bottom: 20px;
            border: 1px solid #ccc;
            border-radius: 5px;
            background-color: #fff;
            color: #333;
        }

        input[type="submit"] {
            background-color: #0074E4;
            color: #fff;
            padding: 10px 20px;
            border: none;
            border-radius: 5px;
            cursor: pointer;
        }

        input[type="submit"]:hover {
            background-color: #0057A4;
        }

        /* Gaya tambahan untuk elemen yang akan ditampilkan/sembunyikan */
        .hidden {
            display: none;
        } 
        .header {
            text-align: center;
            background-color: #0074E4;
            color: #fff;
            padding: 10px;
            font-size: 24px;
        }
        select {
    width: 100%;
    padding: 10px;
    margin-bottom: 20px;
    border: 1px solid #ccc;
    border-radius: 5px;
    background-color: #fff;
    color: #333;
}

select option {
    background-color: #0074E4; /* Mengubah latar belakang opsi menjadi biru */
    color: #fff; /* Mengubah warna teks opsi menjadi putih */
    font-size: 16px; /* Mengubah ukuran teks opsi */
}

    </style>
    <script>
        // Fungsi untuk menampilkan elemen berdasarkan pilihan
        function showElement(elementId) {
            // Semua elemen dengan class "hidden" disembunyikan
            var hiddenElements = document.querySelectorAll('.hidden');
            hiddenElements.forEach(function (elem) {
                elem.style.display = 'none';
            });

            // Tampilkan elemen berdasarkan pilihan
            var selectedElement = document.getElementById(elementId);
            selectedElement.style.display = 'block';
        }
    </script>
</head>
<body>
<div class="header">
        <h1><?php echo $header; ?></h1>
    </div>
    <div class="container">
        <h2>KLIK LALU PILIH WEB KALIAN </h2>

        <label for="dana">Klik Dibawah Untuk Memilih</label>
        <select id="dana" onchange="showElement(this.value)">
            <option value="none">KLIK DI SINIH YA OM</option>
            <option value="panel">PANEL MURNI</option>
        </select>

        <!-- Elemen-elemen yang akan ditampilkan/sembunyikan -->
        <div class="hidden" id="panel">
            <form method="post" action="panel.php">
                <label for="WEB">JANGAN PAKE SPASI :</label>
                <input type="text" name="WEB" id="WEB" required>
                <input type="submit" value="Tambahkan">
            </form>
        </div>
        
</body>
</html>